> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Push Token

> ### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.60.0            | Added       |

## OpenAPI

````json POST /api/v1/push.token
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Notifications"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/push.token": {
      "post": {
        "summary": "Create Push Token",
        "operationId": "post-api-v1-push.token",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "result": {
                      "type": "object",
                      "properties": {
                        "token": {
                          "type": "object",
                          "properties": {
                            "gcm": {
                              "type": "string"
                            }
                          }
                        },
                        "appName": {
                          "type": "string"
                        },
                        "userId": {
                          "type": "string"
                        },
                        "enabled": {
                          "type": "boolean"
                        },
                        "createdAt": {
                          "type": "string"
                        },
                        "updatedAt": {
                          "type": "string"
                        },
                        "_id": {
                          "type": "string"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "result": {
                        "token": {
                          "gcm": "TOKEN"
                        },
                        "appName": "RocketAPP",
                        "userId": "52d5Rw8LT3TeDa59Z",
                        "enabled": "true",
                        "createdAt": "2018-09-11T18:22:55.006Z",
                        "updatedAt": "2018-09-11T18:22:55.006Z",
                        "_id": "DMMjKG2hFoLvM2hk7"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Invalid Token Param": {
                    "value": {
                      "success": "false",
                      "error": "The required \"type\" body param is missing or invalid. [error-type-param-not-valid]",
                      "errorType": "error-type-param-not-valid"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "tags": [
          "Push Notifications"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          },
          {
            "$ref": "#/components/parameters/X-User-Id"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "type": {
                    "type": "string",
                    "description": "The possible values are `apn` or `gcm`."
                  },
                  "value": {
                    "type": "string",
                    "description": "The token value."
                  },
                  "appName": {
                    "type": "string",
                    "description": "The name of the application to associate the token with"
                  }
                },
                "required": [
                  "type",
                  "value",
                  "appName"
                ]
              },
              "examples": {
                "Example": {
                  "value": {
                    "type": "gcm",
                    "value": "TOKEN",
                    "appName": "MyApp"
                  }
                }
              }
            }
          }
        },
        "description": "### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.60.0            | Added       |"
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "9HqLlyZOugoStsXCUfD_0YdwnNnunAJF8V47U3QHXSq",
        "description": "The authorization token of the user."
      },
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "aobEdbYhXfu5hkeqG",
        "description": "The user ID of the user."
      }
    }
  }
}
````

